---
sidebar_position: 13
description: Get chat messages list and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get chat messages list
 Gets a list of 20 chat or dialog messages, depending on the FirstID and LastID specified



`Function GetChatMessagesList(Val URL, Val ChatID, Val LastID = "", Val FirstID = "", Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | ChatID | --chat | String, Number | &#x2714; | Chat ID (as chatXXX) or User ID (as XXX) |
  | LastID | --last | String, Number | &#x2716; | Id of last message |
  | FirstID | --first | String, Number | &#x2716; | ID of first message |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [im.dialog.messages.get](https://dev.1c-bitrix.ru/learning/course/?COURSE_ID=93&LESSON_ID=11479)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    ChatID = "chat4";

    Result = OPI_Bitrix24.GetChatMessagesList(URL, ChatID);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    UserID = 10;

    Result = OPI_Bitrix24.GetChatMessagesList(URL, UserID, , 0, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetChatMessagesList \
             --url "b24-ar17wx.bitrix24.by" \
             --chat "***" \
             --first 0 \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetChatMessagesList ^
             --url "b24-ar17wx.bitrix24.by" ^
             --chat "***" ^
             --first 0 ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "chat_id": "***",
  "messages": [
   {
    "id": 4286,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T16:06:51+00:00",
    "text": "Текст сообщения",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": [],
    "disappearing_date": null
   },
   {
    "id": 4366,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T16:40:58+00:00",
    "text": "Message text",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": [],
    "disappearing_date": null
   },
   {
    "id": 4406,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T19:57:33+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4446,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T20:21:27+00:00",
    "text": "Текст сообщения",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": [],
    "disappearing_date": null
   },
   {
    "id": 4486,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T20:22:30+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4526,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-13T20:41:21+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4668,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-14T08:10:33+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4708,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-14T08:22:56+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4748,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-14T08:26:01+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4788,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-14T08:28:01+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
    "disappearing_date": null
   },
   {
    "id": 4828,
    "chat_id": "***",
    "author_id": 1,
    "date": "2024-07-14T08:28:36+00:00",
    "text": "Это сообщение было удалено",
    "unread": false,
    "uuid": null,
    "replaces": [],
    "params": {
     "IS_DELETED": "Y"
    },
...
```
